# REST API

## REST API

The merchOne REST API enables seamless integration and automation of image manipulation and product creation within external software systems.&#x20;

Some of the features that can be achieved using the merchOne API include:&#x20;

1. [**Order Management**](/api-reference/api-beta/orders.md): The API allows for the management of orders, including the ability to create new orders, retrieve order details, and cancel orders (if the order has not yet been accepted by the system). <br>
2. [**Catalog**](/api-reference/api-beta/catalog.md): The API allows for retrieving blueprints and blueprints variants that are associated with a specific store. <br>
3. &#x20;[**Shipping**](/api-reference/api-beta/shipping.md): The API allows retrieval of countries, regions, shipping types, shipping methods, and calculation of shipping costs.&#x20;

## Web hooks

Webhooks enable real-time notifications of shipping events. Typically, only the shipped status is reported. However, customers who wish to track intermediate stages such as pickup or transit can request activation of these notifications by contacting customer support.\
\
More information about webhooks can be found [<mark style="color:red;">here</mark> ](broken://pages/JFcdi8H7FnePX2zuwJeB)

## Libraries

The following libraries have been made accessible to accelerate the integration process for developers:

PHP <https://github.com/merch-one/php-api-sdk>

Laravel <https://github.com/merch-one/laravel-api-sdk>

JS/Node.js <https://github.com/merch-one/js-api-sdk>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.merchone.com/rest-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
